pistol = {}

function pistol:load()
    self.body = love.physics.newBody(world, 300, 200, "dynamic")
    self.shape = love.physics.newRectangleShape(30, 30)
    self.fixture = love.physics.newFixture(self.body, self.shape)
    self.bullets = {}
    self.amount = 8
    self.unlocked = false
end

function pistol:preSolve(a, b, other)
    if a:getUserData() == "player" then
        self.unlocked = true
    end
end